Add nvptx port.

- From: Cesar Philippidis <cesar@codesourcery.com>
  Date: Tue, 10 Apr 2018 14:43:42 -0700
  Subject: [PATCH] nvptx port

  This port adds support for Nvidia GPU's, which are primarily used as
  offload accelerators in OpenACC and OpenMP.
This commit is contained in:
Jeff Johnston 2018-04-13 15:42:37 -04:00
parent e206c39bb6
commit cd31fbb2ae
132 changed files with 7504 additions and 113 deletions

View File

@ -1129,6 +1129,15 @@ install-data-local: install-toollibLIBRARIES
done ; \
else true; fi
# Generate Unicode data tables for libc/string/wcwidth and libc/ctype/??w*
unidata:
cd $(srcdir)/libc/string; ./mkunidata
cd $(srcdir)/libc/ctype; ./mkunidata
unidate-download:
cd $(srcdir)/libc/string; ./mkunidata -u
cd $(srcdir)/libc/ctype; ./mkunidata -u
# Force makedoc to be built before building info files.
info-recursive: doc/makedoc
dvi-recursive: doc/makedoc

View File

@ -221,6 +221,11 @@ AM_CONDITIONAL(ELIX_LEVEL_4, test x[$]{newlib_elix_level} = x4)
AM_CONDITIONAL(USE_LIBTOOL, test x[$]{use_libtool} = xyes)
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
AC_MSG_WARN([${newlib_msg_warn}])
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

10
newlib/configure vendored
View File

@ -4077,6 +4077,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11822,7 +11828,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11825 "configure"
#line 11831 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11928,7 +11934,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11931 "configure"
#line 11937 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

View File

@ -27,6 +27,7 @@
# newlib_io_c99_formats --enable-newlib-io-c99-formats ("yes", "no", "")
# newlib_io_long_long --enable-newlib-io-long-long ("yes", "no", "")
# newlib_io_long_double --enable-newlib-io-long-double ("yes", "no", "")
# newlib_global_stdio_streams --enable-global-stdio-streams ("yes", "no, "")
# It sets the following shell variables:
# newlib_cflags Special CFLAGS to use when building
@ -75,6 +76,7 @@ default_newlib_nano_malloc=no
aext=a
oext=o
lpfx="lib_a-"
newlib_msg_warn=
case "${target_optspace}:${host}" in
yes:*)
@ -249,6 +251,10 @@ case "${host_cpu}" in
nios2*)
machine_dir=nios2
;;
nvptx*)
machine_dir=nvptx
newlib_cflags="${newlib_cflags} -DMALLOC_PROVIDED"
;;
or1k*|or1knd*)
machine_dir=or1k
;;
@ -917,3 +923,17 @@ fi
if test -z "${have_crt0}" && test -n "${sys_dir}"; then
have_crt0="yes"
fi
# Target-specific defaults
case "${host_cpu}" in
nvptx*)
if [ "x${newlib_elix_level}" = "x0" ]; then
newlib_elix_level=1;
elif [ "x${newlib_elix_level}" != "x1" ]; then
newlib_msg_warn="nvptx does not support elix level > 1";
fi
if [[ -z ${newlib_global_stdio_streams} ]]; then
newlib_global_stdio_streams="yes";
fi
;;
esac

View File

@ -3398,6 +3398,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3722,6 +3722,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11425,7 +11431,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11428 "configure"
#line 11434 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11531,7 +11537,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11534 "configure"
#line 11540 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

10
newlib/libc/configure vendored
View File

@ -3837,6 +3837,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11549,7 +11555,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11552 "configure"
#line 11558 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11655,7 +11661,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11658 "configure"
#line 11664 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

View File

@ -143,25 +143,25 @@ libctype_la_LIBADD =
am__objects_3 = ctype_.lo isalnum.lo isalpha.lo iscntrl.lo isdigit.lo \
islower.lo isupper.lo isprint.lo ispunct.lo isspace.lo \
isxdigit.lo tolower.lo toupper.lo
@ELIX_LEVEL_1_FALSE@am__objects_4 = categories.lo isalnum_l.lo isalpha_l.lo \
@ELIX_LEVEL_1_FALSE@ isascii.lo isascii_l.lo isblank.lo \
@ELIX_LEVEL_1_FALSE@ isblank_l.lo iscntrl_l.lo isdigit_l.lo \
@ELIX_LEVEL_1_FALSE@ islower_l.lo isupper_l.lo isprint_l.lo \
@ELIX_LEVEL_1_FALSE@ ispunct_l.lo isspace_l.lo iswalnum.lo \
@ELIX_LEVEL_1_FALSE@ iswalnum_l.lo iswalpha.lo iswalpha_l.lo \
@ELIX_LEVEL_1_FALSE@ iswblank.lo iswblank_l.lo iswcntrl.lo \
@ELIX_LEVEL_1_FALSE@ iswcntrl_l.lo iswctype.lo iswctype_l.lo \
@ELIX_LEVEL_1_FALSE@ iswdigit.lo iswdigit_l.lo iswgraph.lo \
@ELIX_LEVEL_1_FALSE@ iswgraph_l.lo iswlower.lo iswlower_l.lo \
@ELIX_LEVEL_1_FALSE@ iswprint.lo iswprint_l.lo iswpunct.lo \
@ELIX_LEVEL_1_FALSE@ iswpunct_l.lo iswspace.lo iswspace_l.lo \
@ELIX_LEVEL_1_FALSE@ iswupper.lo iswupper_l.lo iswxdigit.lo \
@ELIX_LEVEL_1_FALSE@ iswxdigit_l.lo isxdigit_l.lo jp2uc.lo \
@ELIX_LEVEL_1_FALSE@ toascii.lo toascii_l.lo tolower_l.lo \
@ELIX_LEVEL_1_FALSE@ toupper_l.lo towctrans.lo towctrans_l.lo \
@ELIX_LEVEL_1_FALSE@ towlower.lo towlower_l.lo towupper.lo \
@ELIX_LEVEL_1_FALSE@ towupper_l.lo wctrans.lo wctrans_l.lo \
@ELIX_LEVEL_1_FALSE@ wctype.lo wctype_l.lo
@ELIX_LEVEL_1_FALSE@am__objects_4 = categories.lo isalnum_l.lo \
@ELIX_LEVEL_1_FALSE@ isalpha_l.lo isascii.lo isascii_l.lo \
@ELIX_LEVEL_1_FALSE@ isblank.lo isblank_l.lo iscntrl_l.lo \
@ELIX_LEVEL_1_FALSE@ isdigit_l.lo islower_l.lo isupper_l.lo \
@ELIX_LEVEL_1_FALSE@ isprint_l.lo ispunct_l.lo isspace_l.lo \
@ELIX_LEVEL_1_FALSE@ iswalnum.lo iswalnum_l.lo iswalpha.lo \
@ELIX_LEVEL_1_FALSE@ iswalpha_l.lo iswblank.lo iswblank_l.lo \
@ELIX_LEVEL_1_FALSE@ iswcntrl.lo iswcntrl_l.lo iswctype.lo \
@ELIX_LEVEL_1_FALSE@ iswctype_l.lo iswdigit.lo iswdigit_l.lo \
@ELIX_LEVEL_1_FALSE@ iswgraph.lo iswgraph_l.lo iswlower.lo \
@ELIX_LEVEL_1_FALSE@ iswlower_l.lo iswprint.lo iswprint_l.lo \
@ELIX_LEVEL_1_FALSE@ iswpunct.lo iswpunct_l.lo iswspace.lo \
@ELIX_LEVEL_1_FALSE@ iswspace_l.lo iswupper.lo iswupper_l.lo \
@ELIX_LEVEL_1_FALSE@ iswxdigit.lo iswxdigit_l.lo isxdigit_l.lo \
@ELIX_LEVEL_1_FALSE@ jp2uc.lo toascii.lo toascii_l.lo \
@ELIX_LEVEL_1_FALSE@ tolower_l.lo toupper_l.lo towctrans.lo \
@ELIX_LEVEL_1_FALSE@ towctrans_l.lo towlower.lo towlower_l.lo \
@ELIX_LEVEL_1_FALSE@ towupper.lo towupper_l.lo wctrans.lo \
@ELIX_LEVEL_1_FALSE@ wctrans_l.lo wctype.lo wctype_l.lo
@USE_LIBTOOL_TRUE@am_libctype_la_OBJECTS = $(am__objects_3) \
@USE_LIBTOOL_TRUE@ $(am__objects_4)
libctype_la_OBJECTS = $(am_libctype_la_OBJECTS)

View File

@ -207,6 +207,10 @@
#define __IEEE_BIG_ENDIAN
#endif
#ifdef __nvptx__
#define __IEEE_LITTLE_ENDIAN
#endif
#if defined(_C4x) || defined(_C3x)
#define __IEEE_BIG_ENDIAN
#define _DOUBLE_IS_32BITS

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3397,6 +3397,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -822,6 +822,7 @@ mt
nds32
necv70
nios2
nvptx
or1k
powerpc
rl78
@ -3780,6 +3781,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11483,7 +11490,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11486 "configure"
#line 11493 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11589,7 +11596,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11592 "configure"
#line 11599 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11907,6 +11914,8 @@ subdirs="$subdirs a29k"
necv70) subdirs="$subdirs necv70"
;;
nios2) subdirs="$subdirs nios2"
;;
nvptx) subdirs="$subdirs nvptx"
;;
or1k) subdirs="$subdirs or1k"
;;

View File

@ -61,6 +61,7 @@ if test -n "${machine_dir}"; then
nds32) AC_CONFIG_SUBDIRS(nds32) ;;
necv70) AC_CONFIG_SUBDIRS(necv70) ;;
nios2) AC_CONFIG_SUBDIRS(nios2) ;;
nvptx) AC_CONFIG_SUBDIRS(nvptx) ;;
or1k) AC_CONFIG_SUBDIRS(or1k) ;;
powerpc) AC_CONFIG_SUBDIRS(powerpc) ;;
rl78) AC_CONFIG_SUBDIRS(rl78) ;;

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3724,6 +3724,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11427,7 +11433,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11430 "configure"
#line 11436 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11533,7 +11539,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11536 "configure"
#line 11542 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3417,6 +3417,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -0,0 +1,17 @@
## Process this file with automake to generate Makefile.in
AUTOMAKE_OPTIONS = cygnus
INCLUDES = $(NEWLIB_CFLAGS) $(CROSS_CFLAGS) $(TARGET_CFLAGS)
AM_CCASFLAGS = $(INCLUDES)
noinst_LIBRARIES = lib.a
lib_a_SOURCES = calloc.c callocr.c malloc.c mallocr.c realloc.c reallocr.c \
free.c write.c assert.c puts.c putchar.c printf.c abort.c \
exit.c misc.c
lib_a_CFLAGS = $(AM_CFLAGS)
ACLOCAL_AMFLAGS = -I ../../.. -I ../../../..
CONFIG_STATUS_DEPENDENCIES = $(newlib_basedir)/configure.host

View File

@ -0,0 +1,531 @@
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
@SET_MAKE@
VPATH = @srcdir@
am__make_dryrun = \
{ \
am__dry=no; \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
| grep '^AM OK$$' >/dev/null || am__dry=yes;; \
*) \
for am__flg in $$MAKEFLAGS; do \
case $$am__flg in \
*=*|--*) ;; \
*n*) am__dry=yes; break;; \
esac; \
done;; \
esac; \
test $$am__dry = yes; \
}
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
$(top_srcdir)/configure $(am__configure_deps) \
$(srcdir)/../../../../mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../../../acinclude.m4 \
$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/../../../../mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
lib_a_AR = $(AR) $(ARFLAGS)
lib_a_LIBADD =
am_lib_a_OBJECTS = lib_a-calloc.$(OBJEXT) lib_a-callocr.$(OBJEXT) \
lib_a-malloc.$(OBJEXT) lib_a-mallocr.$(OBJEXT) \
lib_a-realloc.$(OBJEXT) lib_a-reallocr.$(OBJEXT) \
lib_a-free.$(OBJEXT) lib_a-write.$(OBJEXT) \
lib_a-assert.$(OBJEXT) lib_a-puts.$(OBJEXT) \
lib_a-putchar.$(OBJEXT) lib_a-printf.$(OBJEXT) \
lib_a-abort.$(OBJEXT) lib_a-exit.$(OBJEXT) \
lib_a-misc.$(OBJEXT)
lib_a_OBJECTS = $(am_lib_a_OBJECTS)
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(lib_a_SOURCES)
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
ETAGS = etags
CTAGS = ctags
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCAS = @CCAS@
CCASFLAGS = @CCASFLAGS@
CCDEPMODE = @CCDEPMODE@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
NEWLIB_CFLAGS = @NEWLIB_CFLAGS@
NO_INCLUDE_LIST = @NO_INCLUDE_LIST@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
READELF = @READELF@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
aext = @aext@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
libm_machine_dir = @libm_machine_dir@
localedir = @localedir@
localstatedir = @localstatedir@
lpfx = @lpfx@
machine_dir = @machine_dir@
mandir = @mandir@
mkdir_p = @mkdir_p@
newlib_basedir = @newlib_basedir@
oext = @oext@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sys_dir = @sys_dir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
AUTOMAKE_OPTIONS = cygnus
INCLUDES = $(NEWLIB_CFLAGS) $(CROSS_CFLAGS) $(TARGET_CFLAGS)
AM_CCASFLAGS = $(INCLUDES)
noinst_LIBRARIES = lib.a
lib_a_SOURCES = calloc.c callocr.c malloc.c mallocr.c realloc.c reallocr.c \
free.c write.c assert.c puts.c putchar.c printf.c abort.c \
exit.c misc.c
lib_a_CFLAGS = $(AM_CFLAGS)
ACLOCAL_AMFLAGS = -I ../../.. -I ../../../..
CONFIG_STATUS_DEPENDENCIES = $(newlib_basedir)/configure.host
all: all-am
.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh: Makefile
@:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus'; \
$(am__cd) $(srcdir) && $(AUTOMAKE) --cygnus \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus Makefile'; \
$(am__cd) $(top_srcdir) && \
$(AUTOMAKE) --cygnus Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
echo ' $(SHELL) ./config.status'; \
$(SHELL) ./config.status;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
$(SHELL) ./config.status --recheck
$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
clean-noinstLIBRARIES:
-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
lib.a: $(lib_a_OBJECTS) $(lib_a_DEPENDENCIES) $(EXTRA_lib_a_DEPENDENCIES)
-rm -f lib.a
$(lib_a_AR) lib.a $(lib_a_OBJECTS) $(lib_a_LIBADD)
$(RANLIB) lib.a
mostlyclean-compile:
-rm -f *.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
.c.o:
$(COMPILE) -c $<
.c.obj:
$(COMPILE) -c `$(CYGPATH_W) '$<'`
lib_a-calloc.o: calloc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-calloc.o `test -f 'calloc.c' || echo '$(srcdir)/'`calloc.c
lib_a-calloc.obj: calloc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-calloc.obj `if test -f 'calloc.c'; then $(CYGPATH_W) 'calloc.c'; else $(CYGPATH_W) '$(srcdir)/calloc.c'; fi`
lib_a-callocr.o: callocr.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-callocr.o `test -f 'callocr.c' || echo '$(srcdir)/'`callocr.c
lib_a-callocr.obj: callocr.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-callocr.obj `if test -f 'callocr.c'; then $(CYGPATH_W) 'callocr.c'; else $(CYGPATH_W) '$(srcdir)/callocr.c'; fi`
lib_a-malloc.o: malloc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-malloc.o `test -f 'malloc.c' || echo '$(srcdir)/'`malloc.c
lib_a-malloc.obj: malloc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-malloc.obj `if test -f 'malloc.c'; then $(CYGPATH_W) 'malloc.c'; else $(CYGPATH_W) '$(srcdir)/malloc.c'; fi`
lib_a-mallocr.o: mallocr.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-mallocr.o `test -f 'mallocr.c' || echo '$(srcdir)/'`mallocr.c
lib_a-mallocr.obj: mallocr.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-mallocr.obj `if test -f 'mallocr.c'; then $(CYGPATH_W) 'mallocr.c'; else $(CYGPATH_W) '$(srcdir)/mallocr.c'; fi`
lib_a-realloc.o: realloc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-realloc.o `test -f 'realloc.c' || echo '$(srcdir)/'`realloc.c
lib_a-realloc.obj: realloc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-realloc.obj `if test -f 'realloc.c'; then $(CYGPATH_W) 'realloc.c'; else $(CYGPATH_W) '$(srcdir)/realloc.c'; fi`
lib_a-reallocr.o: reallocr.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-reallocr.o `test -f 'reallocr.c' || echo '$(srcdir)/'`reallocr.c
lib_a-reallocr.obj: reallocr.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-reallocr.obj `if test -f 'reallocr.c'; then $(CYGPATH_W) 'reallocr.c'; else $(CYGPATH_W) '$(srcdir)/reallocr.c'; fi`
lib_a-free.o: free.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-free.o `test -f 'free.c' || echo '$(srcdir)/'`free.c
lib_a-free.obj: free.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-free.obj `if test -f 'free.c'; then $(CYGPATH_W) 'free.c'; else $(CYGPATH_W) '$(srcdir)/free.c'; fi`
lib_a-write.o: write.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-write.o `test -f 'write.c' || echo '$(srcdir)/'`write.c
lib_a-write.obj: write.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-write.obj `if test -f 'write.c'; then $(CYGPATH_W) 'write.c'; else $(CYGPATH_W) '$(srcdir)/write.c'; fi`
lib_a-assert.o: assert.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-assert.o `test -f 'assert.c' || echo '$(srcdir)/'`assert.c
lib_a-assert.obj: assert.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-assert.obj `if test -f 'assert.c'; then $(CYGPATH_W) 'assert.c'; else $(CYGPATH_W) '$(srcdir)/assert.c'; fi`
lib_a-puts.o: puts.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-puts.o `test -f 'puts.c' || echo '$(srcdir)/'`puts.c
lib_a-puts.obj: puts.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-puts.obj `if test -f 'puts.c'; then $(CYGPATH_W) 'puts.c'; else $(CYGPATH_W) '$(srcdir)/puts.c'; fi`
lib_a-putchar.o: putchar.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-putchar.o `test -f 'putchar.c' || echo '$(srcdir)/'`putchar.c
lib_a-putchar.obj: putchar.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-putchar.obj `if test -f 'putchar.c'; then $(CYGPATH_W) 'putchar.c'; else $(CYGPATH_W) '$(srcdir)/putchar.c'; fi`
lib_a-printf.o: printf.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-printf.o `test -f 'printf.c' || echo '$(srcdir)/'`printf.c
lib_a-printf.obj: printf.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-printf.obj `if test -f 'printf.c'; then $(CYGPATH_W) 'printf.c'; else $(CYGPATH_W) '$(srcdir)/printf.c'; fi`
lib_a-abort.o: abort.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-abort.o `test -f 'abort.c' || echo '$(srcdir)/'`abort.c
lib_a-abort.obj: abort.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-abort.obj `if test -f 'abort.c'; then $(CYGPATH_W) 'abort.c'; else $(CYGPATH_W) '$(srcdir)/abort.c'; fi`
lib_a-exit.o: exit.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-exit.o `test -f 'exit.c' || echo '$(srcdir)/'`exit.c
lib_a-exit.obj: exit.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-exit.obj `if test -f 'exit.c'; then $(CYGPATH_W) 'exit.c'; else $(CYGPATH_W) '$(srcdir)/exit.c'; fi`
lib_a-misc.o: misc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-misc.o `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
lib_a-misc.obj: misc.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(lib_a_CFLAGS) $(CFLAGS) -c -o lib_a-misc.obj `if test -f 'misc.c'; then $(CYGPATH_W) 'misc.c'; else $(CYGPATH_W) '$(srcdir)/misc.c'; fi`
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
set x; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
shift; \
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
if test $$# -gt 0; then \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
"$$@" $$unique; \
else \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$unique; \
fi; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
test -z "$(CTAGS_ARGS)$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& $(am__cd) $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) "$$here"
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-am:
check: check-am
all-am: Makefile $(LIBRARIES)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
if test -z '$(STRIP)'; then \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
install; \
else \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
"INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
fi
mostlyclean-generic:
clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am
clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
distclean: distclean-am
-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-tags
dvi: dvi-am
dvi-am:
html: html-am
html-am:
info: info-am
info-am:
install-data-am:
install-dvi: install-dvi-am
install-dvi-am:
install-exec-am:
install-html: install-html-am
install-html-am:
install-info: install-info-am
install-info-am:
install-man:
install-pdf: install-pdf-am
install-pdf-am:
install-ps: install-ps-am
install-ps-am:
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -rf $(top_srcdir)/autom4te.cache
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-compile mostlyclean-generic
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am:
.MAKE: install-am install-strip
.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
clean-generic clean-noinstLIBRARIES ctags distclean \
distclean-compile distclean-generic distclean-tags dvi dvi-am \
html html-am info info-am install install-am install-data \
install-data-am install-dvi install-dvi-am install-exec \
install-exec-am install-html install-html-am install-info \
install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
uninstall-am
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

View File

@ -0,0 +1,23 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
void __attribute__((noreturn))
abort (void)
{
for (;;)
__builtin_trap ();
}

1012
newlib/libc/machine/nvptx/aclocal.m4 vendored Normal file

File diff suppressed because it is too large Load Diff

View File

@ -0,0 +1,40 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2016-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#ifndef HAVE_ASSERT_FUNC
/* func can be NULL, in which case no function information is given. */
void
__assert_func (const char *file,
int line,
const char *func,
const char *failedexpr)
{
abort();
/* NOTREACHED */
}
#endif /* HAVE_ASSERT_FUNC */
void
__assert (const char *file,
int line,
const char *failedexpr)
{
__assert_func (file, line, NULL, failedexpr);
/* NOTREACHED */
}

View File

@ -0,0 +1,26 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
#include <string.h>
void *
calloc (size_t size, size_t len)
{
void *p = malloc (size * len);
if (!p)
return p;
return memset (p, 0, len);
}

View File

@ -0,0 +1,22 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
void *
_calloc_r (struct _reent *ptr, size_t size, size_t len)
{
return calloc (size, len);
}

4754
newlib/libc/machine/nvptx/configure vendored Normal file

File diff suppressed because it is too large Load Diff

View File

@ -0,0 +1,14 @@
dnl This is the newlib/libc/machine/nvptx configure.in file.
dnl Process this file with autoconf to produce a configure script.
AC_PREREQ(2.59)
AC_INIT([newlib],[NEWLIB_VERSION])
AC_CONFIG_SRCDIR([Makefile.am])
dnl Can't be done in NEWLIB_CONFIGURE because that confuses automake.
AC_CONFIG_AUX_DIR(../../../..)
NEWLIB_CONFIGURE(../../..)
AC_CONFIG_FILES([Makefile])
AC_OUTPUT

View File

@ -0,0 +1,32 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
/* Sadly, PTX doesn't support weak declarations, only weak
definitions. Weakly define it here in case we're not using crt0
(for instance in offloading). You probably shouldn't be calling
'exit' in an offloaded region anyway, but that'd be a runtime
error, not a link error. */
int *__attribute((weak)) __exitval_ptr;
void __attribute__((noreturn))
exit (int status)
{
if (__exitval_ptr)
*__exitval_ptr = status;
for (;;)
asm ("exit;" ::: "memory");
}

View File

@ -0,0 +1,26 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2016-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
/* The CUDA-provided free. */
void sys_free (void *) __asm__ ("free");
/* The user-visible free (renamed by compiler). */
void free (void *ptr)
{
if (ptr)
sys_free ((long long *)ptr - 1);
}

View File

@ -0,0 +1,29 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2016-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
/* The CUDA-provided malloc. */
void *sys_malloc (size_t) __asm__ ("malloc");
/* The user-visible malloc (renamed by compiler). */
void *malloc (size_t size)
{
long long *ptr = sys_malloc (size + sizeof (long long));
if (ptr)
*(size_t *)ptr++ = size;
return ptr;
}

View File

@ -0,0 +1,26 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
void *_malloc_r (struct _reent *r, size_t n)
{
return malloc (n);
}
void _free_r (struct _reent *r, void *p)
{
free (p);
}

View File

@ -0,0 +1,34 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <errno.h>
#include <sys/types.h>
#undef errno
extern int errno;
int
close(int fd) {
return -1;
}
off_t
lseek(int fd, off_t offset, int whence) {
return 0;
}
int
read(int fd, void *buf, size_t count) {
return 0;
}

View File

@ -0,0 +1,30 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2015-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdarg.h>
extern int vprintf (const char *, va_list);
int
printf (const char *fmt, ...)
{
va_list args;
int res;
va_start (args, fmt);
res = vprintf (fmt, args);
va_end (args);
return res;
}

View File

@ -0,0 +1,31 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2015-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdarg.h>
extern int vprintf (const char *, va_list);
int
putchar (int c)
{
unsigned valist[1];
c = (unsigned char)c;
valist[0] = c;
int ret = vprintf ("%c", valist);
if (ret < 0)
c = -1;
return c;
}

View File

@ -0,0 +1,27 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2015-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdarg.h>
extern int vprintf (const char *, va_list);
int
puts (const char *str)
{
void *valist[1];
valist[0] = str;
return vprintf ("%s\n", valist);
}

View File

@ -0,0 +1,32 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2016-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
void *
realloc (void *old_ptr, size_t new_size)
{
void *new_ptr = malloc (new_size);
if (old_ptr && new_ptr)
{
size_t old_size = *(size_t *)((long long *)old_ptr - 1);
size_t copy_size = old_size > new_size ? new_size : old_size;
__builtin_memcpy (new_ptr, old_ptr, copy_size);
free (old_ptr);
}
return new_ptr;
}

View File

@ -0,0 +1,21 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
void *_realloc_r (struct _reent *r, void *p, size_t n) _NOTHROW
{
return realloc (p, n);
}

View File

@ -0,0 +1,33 @@
/*
* Support file for nvptx in newlib.
* Copyright (c) 2014-2018 Mentor Graphics.
*
* The authors hereby grant permission to use, copy, modify, distribute,
* and license this software and its documentation for any purpose, provided
* that existing copyright notices are retained in all copies and that this
* notice is included verbatim in any distributions. No written agreement,
* license, or royalty fee is required for any of the authorized uses.
* Modifications to this software may be copyrighted by their authors
* and need not follow the licensing terms described here, provided that
* the new terms are clearly indicated on the first page of each file where
* they apply.
*/
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <errno.h>
_READ_WRITE_RETURN_TYPE write (int fd, const void *buf, size_t count)
{
size_t i;
char *b = (char *)buf;
if (fd != 1 && fd != 2)
{
errno = EBADF;
return -1;
}
for (i = 0; i < count; i++)
printf ("%c", b[i]);
return count;
}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3397,6 +3397,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3462,6 +3462,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3398,6 +3398,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -1,8 +1,9 @@
# Makefile.in generated by automake 1.12.2 from Makefile.am.
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# @configure_input@
# Copyright (C) 1994-2012 Free Software Foundation, Inc.
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
@ -57,11 +58,15 @@ host_triplet = @host@
@HAVE_LONG_DOUBLE_TRUE@ wcstold.c
DIST_COMMON = $(srcdir)/../../Makefile.shared $(srcdir)/Makefile.in \
$(srcdir)/Makefile.am $(top_srcdir)/../../mkinstalldirs
$(srcdir)/Makefile.am
subdir = stdlib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/../acinclude.m4 \
$(top_srcdir)/configure.in
am__aclocal_m4_deps = $(top_srcdir)/../../libtool.m4 \
$(top_srcdir)/../../ltoptions.m4 \
$(top_srcdir)/../../ltsugar.m4 \
$(top_srcdir)/../../ltversion.m4 \
$(top_srcdir)/../../lt~obsolete.m4 \
$(top_srcdir)/../acinclude.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/../../mkinstalldirs
@ -269,10 +274,8 @@ LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NEWLIB_CFLAGS = @NEWLIB_CFLAGS@
NM = @NM@
@ -301,7 +304,6 @@ abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
aext = @aext@
@ -598,14 +600,12 @@ lib.a: $(lib_a_OBJECTS) $(lib_a_DEPENDENCIES) $(EXTRA_lib_a_DEPENDENCIES)
clean-noinstLTLIBRARIES:
-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
@list='$(noinst_LTLIBRARIES)'; \
locs=`for p in $$list; do echo $$p; done | \
sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
sort -u`; \
test -z "$$locs" || { \
echo rm -f $${locs}; \
rm -f $${locs}; \
}
@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
test "$$dir" != "$$p" || dir=.; \
echo "rm -f \"$${dir}/so_locations\""; \
rm -f "$${dir}/so_locations"; \
done
libstdlib.la: $(libstdlib_la_OBJECTS) $(libstdlib_la_DEPENDENCIES) $(EXTRA_libstdlib_la_DEPENDENCIES)
$(libstdlib_la_LINK) $(am_libstdlib_la_rpath) $(libstdlib_la_OBJECTS) $(libstdlib_la_LIBADD) $(LIBS)
@ -1417,20 +1417,6 @@ GTAGS:
&& $(am__cd) $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: $(HEADERS) $(SOURCES) $(LISP)
list='$(SOURCES) $(HEADERS) $(LISP)'; \
case "$(srcdir)" in \
[\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
*) sdir=$(subdir)/$(srcdir) ;; \
esac; \
for i in $$list; do \
if test -f "$$i"; then \
echo "$(subdir)/$$i"; \
else \
echo "$$sdir/$$i"; \
fi; \
done >> $(top_builddir)/cscope.files
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-am:
@ -1541,7 +1527,7 @@ uninstall-am:
.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
clean-libtool clean-noinstLIBRARIES clean-noinstLTLIBRARIES \
cscopelist ctags distclean distclean-compile distclean-generic \
ctags distclean distclean-compile distclean-generic \
distclean-libtool distclean-tags dvi dvi-am html html-am info \
info-am install install-am install-data install-data-am \
install-dvi install-dvi-am install-exec install-exec-am \

View File

@ -39,7 +39,9 @@
#include "atexit.h"
/* Make this a weak reference to avoid pulling in malloc. */
#ifndef MALLOC_PROVIDED
void * malloc(size_t) _ATTRIBUTE((__weak__));
#endif
#ifdef _LITE_EXIT
/* As __call_exitprocs is weak reference in lite exit, make a

View File

@ -9,7 +9,9 @@
#include "atexit.h"
/* Make this a weak reference to avoid pulling in free. */
#ifndef MALLOC_PROVIDED
void free(void *) _ATTRIBUTE((__weak__));
#endif
#ifndef __SINGLE_THREAD__
__LOCK_INIT_RECURSIVE(, __atexit_recursive_mutex);

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3753,6 +3753,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11456,7 +11462,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11459 "configure"
#line 11465 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11562,7 +11568,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11565 "configure"
#line 11571 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3396,6 +3396,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}

View File

@ -3728,6 +3728,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11473,7 +11479,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11476 "configure"
#line 11482 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11579,7 +11585,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11582 "configure"
#line 11588 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

View File

@ -3726,6 +3726,12 @@ else
fi
# Emit any target-specific warnings.
if test "x${newlib_msg_warn}" != "x"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: ${newlib_msg_warn}" >&5
$as_echo "$as_me: WARNING: ${newlib_msg_warn}" >&2;}
fi
# Hard-code OBJEXT. Normally it is set by AC_OBJEXT, but we
# use oext, which is set in configure.host based on the target platform.
OBJEXT=${oext}
@ -11471,7 +11477,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11474 "configure"
#line 11480 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -11577,7 +11583,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
#line 11580 "configure"
#line 11586 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H

Some files were not shown because too many files have changed in this diff Show More